메인 콘텐츠로 건너뛰기
POST
/
api
/
v2
/
orders
/
anti-ai
cURL
curl -X POST https://morimori.app/api/v2/orders/anti-ai \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "idempotencyKey": "key-001",
    "files": [
      {"fileName": "image1.jpg"},
      {"fileName": "image2.png"}
    ],
    "options": {"strength": "high"}
  }'
{
  "data": {
    "orderName": "anti_ai_2026-02-09",
    "orderId": "123456789",
    "status": "pending",
    "files": [
      {
        "fileId": 1,
        "fileName": "image1.jpg",
        "uploadUrl": "https://s3.amazonaws.com/...",
        "fileKey": "temp/123456789/0/image1.jpg"
      }
    ]
  }
}

인증

Authorization
string
header
필수

외부 클라이언트 접근을 위한 API 키

본문

application/json
idempotencyKey
string
필수

중복 요청 방지를 위한 멱등성 키

files
object[]
필수
Required array length: 1 - 100 elements
orderName
string

주문 이름 (미입력 시 자동 생성)

Maximum string length: 64
mode
object

처리 모드 설정

outputTargets
object[]

Zero Copy 모드 결과 업로드 대상 (mode.zeroCopy가 true일 때 필수)

options
object

응답

주문 생성 성공

data
object